> ## Documentation Index
> Fetch the complete documentation index at: https://ailabtools.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Cartoon Yourself

> Cartoon Yourself API turns portraits into cartoon, anime, Pixar, 3D, pencil, and comic-style images with AI.



## OpenAPI

````yaml /docs/openapi.json post /api/portrait/effects/portrait-animation
openapi: 3.0.0
info:
  title: AILabAPI
  description: >-
    [<b>AILabTools</b>](https://www.ailabtools.com) is an advanced tool that
    offers a vast array of simple and flexible API endpoints to suit your
    specific needs. With just one [<b>API
    KEY</b>](https://www.ailabtools.com/doc/get-api-key), you can easily call
    any of the endpoints and integrate them quickly into your application or
    workflow, allowing for smooth and efficient operations. 
     
    [<b>AILabTools</b>](https://www.ailabtools.com) is continuously evolving,
    and you can anticipate even more API endpoints being added in the future,
    further enhancing its capabilities and usefulness for your artificial
    intelligence and machine learning requirements.
  version: 1.0.0
servers:
  - url: https://www.ailabapi.com
    description: Production server
security:
  - apiKeyAuth: []
tags:
  - name: AI IMAGE
  - name: AI IMAGE > Image Enhancement
  - name: AI IMAGE > Image Effects
  - name: AI IMAGE > Image Editing
  - name: AI IMAGE > Image Scoring
  - name: AI BACKGROUND REMOVAL
  - name: AI BACKGROUND REMOVAL > Portrait
  - name: AI BACKGROUND REMOVAL > General
  - name: AI PORTRAIT
  - name: AI PORTRAIT > Portrait Effects
  - name: AI PORTRAIT > Portrait Enhance
  - name: AI PORTRAIT > Portrait Editing
  - name: AI PORTRAIT > Portrait Analysis
  - name: AI COMMON
paths:
  /api/portrait/effects/portrait-animation:
    post:
      tags:
        - AI PORTRAIT > Portrait Effects
      summary: Cartoon Yourself
      description: >-
        Cartoon Yourself API turns portraits into cartoon, anime, Pixar, 3D,
        pencil, and comic-style images with AI.
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - task_type
                - image
                - type
              properties:
                task_type:
                  type: string
                  enum:
                    - async
                    - sync
                  default: sync
                  description: >-
                    Task Type. 

                    - `async`: Asynchronous tasks. **Recommended for all new
                    tasks and will be enforced in future updates.** 

                    - `sync`: Synchronous tasks.
                image:
                  type: string
                  format: binary
                  description: |-
                    - Image format: `JPEG` `JPG` `PNG` 
                    - Image size: No more than 5 MB. 
                    - Image resolution: Less than 4096x4096px.
                type:
                  type: string
                  description: >-
                    Effects. See [Supported type
                    values](/docs/ai-portrait/effects/portrait-animation/api#type).
                  enum:
                    - jpcartoon
                    - anime
                    - retro_anime_90s
                    - shoujo_manga
                    - black_white_manga
                    - korean_webtoon
                    - hkcartoon
                    - hongkong
                    - amcartoon
                    - comic
                    - classic_cartoon
                    - tccartoon
                    - ukiyoe_cartoon
                    - animation3d
                    - 3d_cartoon
                    - 3d
                    - 3d_game
                    - pixar
                    - pixar_plus
                    - handdrawn
                    - sketch
                    - pencil_drawing_2
                    - colored_pencil
                    - watercolor
                    - gouache
                    - oil_painting
                    - pastel_drawing
                    - ink_wash
                    - claborate
                    - paper_cut
                    - fashion_illustration
                    - concept_art
                    - flat_vector
                    - sticker_cartoon
                    - low_poly
                    - pixel_art
                    - clay_animation
                    - felt_doll
                    - western
                    - angel
                    - demon
                    - avatar
                    - cyberpunk
                    - steampunk
                    - noir_comic
                    - bopu_cartoon
                    - crayon_childlike
                    - artstyle
                    - famous
      responses:
        '200':
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/PublicResponseFields'
                  - type: object
                    properties:
                      task_id:
                        $ref: '#/components/schemas/AsyncTaskId'
              examples:
                async:
                  summary: Async
                  value:
                    request_id: ''
                    log_id: ''
                    error_detail:
                      code: ''
                      code_message: ''
                      message: ''
                    task_id: ''
                sync:
                  summary: Sync
                  value:
                    request_id: ''
                    log_id: ''
                    error_detail:
                      code: ''
                      code_message: ''
                      message: ''
                    data:
                      image_url: ''
          description: Success
components:
  schemas:
    PublicResponseFields:
      type: object
      required:
        - request_id
        - log_id
        - error_detail
      properties:
        request_id:
          type: string
          description: Request ID for debugging.
        log_id:
          type: string
          description: Log ID for debugging.
        error_detail:
          $ref: '#/components/schemas/ErrorDetail'
    AsyncTaskId:
      type: string
      description: >-
        Task ID for querying [Querying Async Task
        Results](/docs/ai-common/async-task-results/api).
    ErrorDetail:
      type: object
      required:
        - code
        - code_message
        - message
      properties:
        code:
          type: string
          description: >-
            Error Code. See [Error
            Codes](/docs/response-description#error-codes).
        code_message:
          type: string
          description: Error summary.
        message:
          type: string
          description: Detailed error message.
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: ailabapi-api-key
      description: API Key for authentication

````